import { DynamicComponentLoader, ViewContainerRef, TemplateRef } from '@angular/core';
export declare class TooltipDirective {
    content: string;
    htmlContent: string | TemplateRef<any>;
    placement: string;
    isOpen: boolean;
    enable: boolean;
    animation: boolean;
    appendToBody: boolean;
    popupClass: string;
    tooltipContext: any;
    viewContainerRef: ViewContainerRef;
    loader: DynamicComponentLoader;
    private visible;
    private tooltip;
    constructor(viewContainerRef: ViewContainerRef, loader: DynamicComponentLoader);
    show(): void;
    hide(): void;
}
